=== debian/changelog ===
newlisp (10.7.0-4) unstable; urgency=medium

  * Fix shared library loading for modules.
    Upstream uses a system for dlopen'ing shared libraries that is not
    very robust.  They depend on libraries being installed on full paths,
    which can break things when you move from one system to another.
    Because of this, a fix had to be implemented downstream in order to
    use dlopen's functionality of automatically searching the system
    libraries when you pass just the file name to it.  This also has the
    benefit of not trying to load libraries from /usr/local, which can be
    dangerous. (Closes: #852259)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Mon, 30 Jan 2017 16:59:36 -0500

newlisp (10.7.0-3) unstable; urgency=medium

  * Silence a warning when compiling on GNU/kFreeBSD.
    When enabling builds on GNU/kFreeBSD, I forgot to forward-declare the
    prototype for strptime, which generated a warning when compiling the
    code.
  * Fix FTBFS on PowerPC 32-bit.
    The fourth argument to semctl must be a 'union semun', but the
    original code passes 0 instead.  This makes the build fail on PowerPC
    32-bit, because of the calling convention for this architecture.
    (Closes: #828807)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Thu, 14 Jul 2016 01:03:59 -0400

newlisp (10.7.0-2) unstable; urgency=medium

  * Do not use -m32/-m64 when building.
    The use of -m32/-m64 flags is not needed and actually causes a bunch
    of errors on some architectures (like x32). (Closes: #828806)
  * Update Vcs-* links.
  * Support GNU/kFreeBSD builds.
    A few adjustments needed to be made in the makefiles and in the
    source-code in order to support GNU/kFreeBSD properly.  First, -ldl
    has to be used in the linking phase in order to use the dlopen family
    of functions.  The use of FD_COPY also needed to be adjusted and the
    code is using memset instead (just like it is done in GNU/Linux).
    Finally, a new dependency on libncurses5-dev had to be added to
    Build-Depends for kfreebsd-any because newLISP uses -lncurses on the
    linking phase. (Closes: #828805)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Sat, 02 Jul 2016 08:21:18 -0400

newlisp (10.7.0-1) unstable; urgency=medium

  * Initial release of newLISP. (Closes: #425456)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Sun, 19 Jun 2016 17:00:31 -0400
