=== debian/changelog ===
newlisp (10.7.1-1) unstable; urgency=medium

  * New upstream version 10.7.1
  * Updating patches to reflect new upstream release.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Thu, 09 Feb 2017 22:27:44 -0500
