=== debian/control ===
Source: newlisp
Section: lisp
Priority: optional
Maintainer: Sergio Durigan Junior <sergiodj@sergiodj.net>
Build-Depends:
 debhelper (>=9),
 libffi-dev,
 libreadline-dev,
 libncurses5-dev [kfreebsd-any]
Standards-Version: 3.9.8
Homepage: http://www.newlisp.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/newlisp.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/newlisp.git

Package: newlisp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# For newLISP modules.
Recommends:
 libcrypto++6,
 libmysqlclient18,
 libpq5,
 libsqlite3-0,
 zlib1g
Description: LISP like, general purpose scripting language
 newLISP is a scripting language for developing web applications and
 programs in general and in the domains of artificial intelligence
 (AI) and statistics.
