=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
#	The configure script is hand-made and does not accept options.
	./configure

override_dh_auto_install:
#	Ugh.  This is a hack needed because there is no way to provide
#	DESTDIR to the makefiles.
	make install_home HOME=$(CURDIR)/debian/newlisp/usr/
	rm -f $(CURDIR)/debian/newlisp/usr/share/doc/newlisp/COPYING
	rm -f $(CURDIR)/debian/newlisp/usr/share/doc/newlisp/guiserver/COPYING
	chmod +x $(CURDIR)/debian/newlisp/usr/share/newlisp/util/syntax.cgi
