## newlisp 10.7.5

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,6 @@
 # Note! on some systems do 'gmake' instead of 'make' (most BSD)
 #
 # for 'make install' you have to login as 'root' else do 'make install_home'
-# note that 'make install_home' will not install guiserver files which
-# must be in /usr/local/share/newlisp in MacOX X and UNIX machines
 #
 # to make the distribution archive:  'make dist'
 #
@@ -24,8 +22,8 @@
 # and file LOCALIZATION for details
 #
 
-VERSION = 10.7.1
-INT_VERSION = 10701
+VERSION = 10.7.5
+INT_VERSION = 10705
 
 default: makefile_build
 	make -f makefile_build
@@ -49,7 +47,7 @@
 	@echo "  make test            # same as 'make check' but less output"
 	@echo "  make testall         # run an extended test suite with less output"
 	@echo "  make version         # replace version number in several files after changing in Makefile"
-	@echo "  make bench           # benchmark relative to 32-bit Mac OS 10.5 on MacMini 1.83Ghz"
+	@echo "  make bench           # run qa-bench compare to aprevious macOS version on specific hardware"
 	@echo "  make dist            # make a source distribution .tgz package "
 	@echo "  make android_dist    # make a source package for Android NDK compilation"
 	@echo "  make android_dist_utf8  # make a source package for Android NDK compilationi utf8"
@@ -57,13 +55,12 @@
 	@echo "Note! on some systems use gmake instead of make."
 	@echo "Note! not all makefiles are listed in this help, specifically 64-bit versions."
 	@echo " "
-	@echo "Readline is for commandline editing support and requires libreadline and headerfiles."
-	@echo "Not all makefiles contain libreadline support, but is easy to add (see other makefieles)."
-	@echo "If there is no UTF-8 option for your OS, consult makefile_xxx."
+	@echo "make files distinguish beteween os support and compilation with or without"
+	@echo "    lib readline support, 64bit v 32bit support, utf-8 support, extended function import interface
 	@echo " "
-	@echo "For more customization options (exe dir, install dir, 64-biti, etc) see the file doc/INSTALL"
-
-# make newlisp.exe and newlisp.dll on a MinGW, MSYS system
+	@echo "For other customization options (exe dir, install dir,  etc) see the file doc/INSTALL"
+
+# make 32 bit newlisp.exe and newlisp.dll on a MinGW, MSYS system
 # also needs the installer NSYS installed
 winall:
 	make clean
@@ -72,8 +69,9 @@
 	make -f makefile_mingwdll_ffi
 	rm *.o
 	./newlisp qa-dot
-
-# make newlisp.exe and newlisp.dll in UTF-8 flavor
+	tar czvf newlisp-win.tgz newlisp.exe newlisp.dll
+
+# make 32 bit newlisp.exe and newlisp.dll in UTF-8 flavor
 winall_utf8:
 	make clean
 	make -f makefile_mingw_utf8_ffi
@@ -102,82 +100,31 @@
 	./newlisp qa-dot
 	tar czvf newlisp-win64-utf8.tgz newlisp.exe newlisp.dll
 
-# make a Windows installer package
-wings:
-	make -f makefile_wings
+# make macOS newlisp 64bit executable and dynamic link library
+macosall:
+	make clean
+	make -f makefile_darwinLP64_utf8_ffi
+	rm *.o
+	make -f makefile_darwinLP64_utf8_lib
+	rm *.o
+	./newlisp qa-dot
+	tar czvf newlisp-macos-utf8.tgz newlisp newlisp.dylib
 	
-wings64:
-	make -f makefile_wings64
-	
-
-# scripts for making UBUNTU linux packages
-
-dpkg:
-	make clean
-	cp makefile_original_install makefile_install
-	make -f makefile_linuxLP64_ffi
-	cp util/description-pak .
-	sudo checkinstall --nodoc --maintainer "lutz@nuevatec.com" --pkgrelease 1 --default
-	rm description-pak
-	mv *.deb ../Desktop
-
-dpkg_utf8:
-	make clean
-	cp makefile_original_install makefile_install
-	make -f makefile_linuxLP64_utf8_ffi
-	cp util/description-pak .
-	sudo checkinstall --nodoc --maintainer "lutz@nuevatec.com" --pkgrelease utf8 --default
-	rm description-pak
-	mv *.deb ../Desktop
-
-# scripts for making Mac OS X disk image installers
-# makefile_darwin_package needs a previous /Applications/newLISP-GS.app
-dmg_ppc:
-	make clean
-	make -f makefile_darwin_utf8_leopardPPC_ffi 
-	make -f makefile_darwin_package
-	hdiutil create -srcfolder newLISP-image newlisp-$(VERSION)-OSX-ppc.dmg
-	mv newlisp-$(VERSION)-OSX-ppc.dmg ..
-	sudo rm -rf Package_contents
-	sudo rm -rf newLISP-image
-
-# makefile_darwin_package needs a previous /Applications/newLISP-GS.app
-dmg_intel:
-	make clean
-	make -f makefile_darwinLP64_utf8_ffi
-	make -f makefile_darwin_package
-	hdiutil create -srcfolder newLISP-image newlisp-$(VERSION)-OSX-intel.dmg
-	mv newlisp-$(VERSION)-OSX-intel.dmg ..
-	sudo rm -rf Package_contents
-	sudo rm -rf newLISP-image
-
-# this cleans up the distribution directory for a clean build from scratch
+
 
 # this cleans the tree for a rebuild using the same configuration as before
 clean:
 	-rm -f *~ *.bak *.o *.obj *.map *.core core *.tgz *.txt TEST newlisp-universal
 	-rm -f newlisp-js*.*
 	-rm -rf newlisp-js-$(VERSION)
-	-rm -f guiserver/*.class */*~ */._*
 	-rm -f doc/*.bak util/*.bak examples/*.bak modules/*.bak
 	-chmod 644 *.h *.c Makefile makefile*
 	-chmod 755 configure configure-alt examples/*
 	-chmod 644 doc/* modules/*.lsp examples/*.lsp examples/*.html
 	-chmod 755 doc/index.cgi
-	-chmod 644 guiserver/*
-	-chmod 755 guiserver/index.cgi
-	-chmod 755 guiserver/images
-	-chmod 644 guiserver/images/*
-	-chmod 755 guiserver/images/index.cgi
-	-chmod 755 guiserver/java
-	-chmod 644 guiserver/java/*
-	-chmod 755 guiserver/java/index.cgi
 	-rm -f makefile_build makefile_install config.h test-*
 
 # run test scripts
-sharebug:
-	./newlisp qa-dot
-
 
 check:
 	./newlisp qa-dot
@@ -254,9 +201,6 @@
 # This makes the main newlisp-x.x.x.tgz source distribuition package
 dist: clean
 	-mkdir newlisp-$(VERSION)
-	-mkdir newlisp-$(VERSION)/guiserver
-	-mkdir newlisp-$(VERSION)/guiserver/images
-	-mkdir newlisp-$(VERSION)/guiserver/java
 	-mkdir newlisp-$(VERSION)/modules
 	-mkdir newlisp-$(VERSION)/examples
 	-mkdir newlisp-$(VERSION)/doc
@@ -266,13 +210,12 @@
 	cp README newlisp-$(VERSION)
 	cp nl*.c newlisp.c *.h pcre*.c index.cgi newlisp-$(VERSION)
 	cp win64-dll.def win-*.* unix*.c newlisp-$(VERSION)
-	cp Makefile configure* makefile* qa-dot qa-comma newlisp-$(VERSION)
+	cp Makefile configure* make* qa-dot qa-comma newlisp-$(VERSION)
 	cp modules/* newlisp-$(VERSION)/modules
 	cp examples/* newlisp-$(VERSION)/examples
 	cp doc/* newlisp-$(VERSION)/doc
 	cp util/* newlisp-$(VERSION)/util
 	cp qa-specific-tests/* newlisp-$(VERSION)/qa-specific-tests
-	cp -R guiserver/* newlisp-$(VERSION)/guiserver
 	cp -R newlisp-js/* newlisp-$(VERSION)/newlisp-js
 	tar czvf newlisp-$(VERSION).tgz newlisp-$(VERSION)/*
 	rm -rf newlisp-$(VERSION)
@@ -327,9 +270,14 @@
 	sed -i.bak -E 's/newLISP\/[[:digit:]]+.[[:digit:]]+.[[:digit:]]+(-dev)?/newLISP\/$(VERSION)/' nl-web.c
 	sed -i.bak -E 's/newLISP v.+ Manual/newLISP v.$(VERSION) Manual/' doc/newlisp_manual.html
 	sed -i.bak -E 's/Reference v.+<\/h2>/Reference v.$(VERSION)<\/h2>/' doc/newlisp_manual.html
-	sed -i.bak -E 's/newlisp-.....-win/newlisp-$(INT_VERSION)-win/' guiserver/newlisp-gs.nsi
-	sed -i.bak -E 's/and newLISP .+ on /and newLISP $(VERSION) on /' guiserver/newlisp-gs.nsi
-	sed -i.bak -E 's/newlisp-.....-win/newlisp-$(INT_VERSION)-win/' guiserver/newlisp64-gs.nsi
-	sed -i.bak -E 's/and newLISP .+ on /and newLISP $(VERSION) on /' guiserver/newlisp64-gs.nsi
 	sed -i.bak -E 's/VERSION=.+/VERSION=$(VERSION)/' configure-alt
 	sed -i.bak -E 's/VERSION=.+/VERSION=$(VERSION)/' makefile_original_install 
+
+# Prepare the manual file for PDF conversion, by replaceing all <span class="function"></span>
+# with <font color="#DD0000"></font> in the syntax statements and replacing &rarr; (one line
+# arrow with &rArr; (double line arrow). This is necessary when using OpenOffcice PDF conversion 
+#
+preparepdf:
+	util/preparepdf doc/newlisp_manual.html doc/newlisp_manual_preparepdf.html
+
+# end of file
