=== debian/changelog ===
newlisp (10.7.5-3) unstable; urgency=medium

  * d/control: Bump debhelper-compat to 13.
  * d/control: Bump Standards-Version to 4.7.2.
  * d/p/0010-Fix-build-with-GCC-15.patch: Fix FTBFS with GCC 15.
    (Closes: #1097457)
  * d/control: Drop unneeded B-D on libncurses5-dev.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 27 Sep 2025 12:14:03 -0400

newlisp (10.7.5-2) unstable; urgency=medium

  * d/p/0009-Fix-shared-library-loading-for-modules.patch:
    Adjust patch so that the modules don't try to load a versioned shared
    library.
  * d/control: Don't recommend hardcoded ABI versions in library packages.
    We should recommend the '-dev' packages instead, which will install
    the proper .so files that will get loaded by the modules. (Closes: #984686)
  * d/p/0009-Set-NEWLISPDIR-to-usr-share-newlisp.patch:
    Inform newlisp that the common files are installed under
    /usr/share/newlisp, not /usr/local/share.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 07 Mar 2021 15:17:34 -0500

newlisp (10.7.5-1) unstable; urgency=medium

  * New upstream version 10.7.5.
  * Update d/patches.
  * Update d/newlisp.doc-base and remove a reference to guiserver.
  * Bump Standards-Version to 4.4.0.
  * Install examples directory.
  * Update d/copyright.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 20 Jul 2019 19:47:33 -0400

newlisp (10.7.1-2) unstable; urgency=medium

  * Update Vcs-* URLs to use salsa.
  * Update my e-mail address.
  * Update compat level to 12.
  * Bump Standards-Version to 4.3.0.
  * Recommend sensible-utils due to canvas.lsp module.
  * Don't use unnecessary '--parallel' option when invoking dh.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 06 Mar 2019 19:37:22 -0500
