=== debian/control ===
Source: newlisp
Section: lisp
Priority: optional
Maintainer: Sergio Durigan Junior <sergiodj@debian.org>
Build-Depends:
 debhelper-compat (=13),
 libffi-dev,
 libreadline-dev,
Standards-Version: 4.7.2
Homepage: http://www.newlisp.org
Vcs-Git: https://salsa.debian.org/debian/newlisp.git
Vcs-Browser: https://salsa.debian.org/debian/newlisp

Package: newlisp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# For newLISP modules.
Recommends:
 libssl-dev,
 default-libmysqlclient-dev,
 libpq-dev,
 libsqlite3-dev,
 zlib1g-dev,
 sensible-utils,
Description: LISP like, general purpose scripting language
 newLISP is a scripting language for developing web applications and
 programs in general and in the domains of artificial intelligence
 (AI) and statistics.
