=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
#	The configure script is hand-made and does not accept options.
	./configure

override_dh_auto_install:
#	Ugh.  This is a hack needed because there is no way to provide
#	DESTDIR to the makefiles.
	make install_home HOME=$(CURDIR)/debian/newlisp/usr/
	rm -f $(CURDIR)/debian/newlisp/usr/share/doc/newlisp/COPYING
	chmod +x $(CURDIR)/debian/newlisp/usr/share/newlisp/util/syntax.cgi

override_dh_installexamples:
	dh_installexamples
	chmod -x \
		$(CURDIR)/debian/newlisp/usr/share/doc/newlisp/examples/*.txt \
		$(CURDIR)/debian/newlisp/usr/share/doc/newlisp/examples/newlisp \
		$(CURDIR)/debian/newlisp/usr/share/doc/newlisp/examples/*.xls
