=== debian/watch ===
version=4

http://www.newlisp.org/downloads \
  newlisp-([\d\.]+)\.tgz debian uupdate
